[arch-commits] Commit in gnucash/repos (6 files)

Jan de Groot jgc at archlinux.org
Mon Oct 3 11:01:00 UTC 2011


    Date: Monday, October 3, 2011 @ 07:01:00
  Author: jgc
Revision: 139532

archrelease: copy trunk to staging-i686, staging-x86_64

Added:
  gnucash/repos/staging-i686/
  gnucash/repos/staging-i686/PKGBUILD
    (from rev 139531, gnucash/trunk/PKGBUILD)
  gnucash/repos/staging-i686/gnucash.install
    (from rev 139531, gnucash/trunk/gnucash.install)
  gnucash/repos/staging-x86_64/
  gnucash/repos/staging-x86_64/PKGBUILD
    (from rev 139531, gnucash/trunk/PKGBUILD)
  gnucash/repos/staging-x86_64/gnucash.install
    (from rev 139531, gnucash/trunk/gnucash.install)

--------------------------------+
 staging-i686/PKGBUILD          |   38 ++++++++++++++++++++++++++++++++++++++
 staging-i686/gnucash.install   |   34 ++++++++++++++++++++++++++++++++++
 staging-x86_64/PKGBUILD        |   38 ++++++++++++++++++++++++++++++++++++++
 staging-x86_64/gnucash.install |   34 ++++++++++++++++++++++++++++++++++
 4 files changed, 144 insertions(+)

Copied: gnucash/repos/staging-i686/PKGBUILD (from rev 139531, gnucash/trunk/PKGBUILD)
===================================================================
--- staging-i686/PKGBUILD	                        (rev 0)
+++ staging-i686/PKGBUILD	2011-10-03 11:01:00 UTC (rev 139532)
@@ -0,0 +1,38 @@
+# $Id$
+# Maintainer: Aaron Griffin <aaron at archlinux.org>
+# Contributor: Mark Schneider <queueRAM at gmail.com>
+
+pkgname=gnucash
+pkgver=2.4.7
+pkgrel=2
+pkgdesc="A personal and small-business financial-accounting application"
+arch=('i686' 'x86_64')
+url="http://www.gnucash.org"
+license=("GPL")
+depends=('gtkhtml' 'slib' 'goffice' 'libgnomeui' 'hicolor-icon-theme' 
+         'libdbi-drivers' 'aqbanking' 'desktop-file-utils')
+makedepends=('intltool')
+optdepends=('evince: for print preview'
+            'perl-finance-quote: for stock information lookups'
+            'perl-date-manip: for stock information lookups')
+options=('!libtool' '!makeflags')
+install=gnucash.install
+source=(http://downloads.sourceforge.net/sourceforge/${pkgname}/${pkgname}-${pkgver}.tar.bz2)
+md5sums=('0f85c8bfd165b2605a7853f579808823')
+sha1sums=('e99dd56949de27c19d9c3413d30c87a0f74e8ff9')
+
+build() {
+  cd "${srcdir}/${pkgname}-${pkgver}"
+  ./configure --prefix=/usr --mandir=/usr/share/man \
+    --sysconfdir=/etc --libexecdir=/usr/lib --enable-ofx --enable-aqbanking
+  make
+}
+
+package() {
+  cd "${srcdir}/${pkgname}-${pkgver}"
+  make GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1 DESTDIR="${pkgdir}" install
+
+  install -dm755 "${pkgdir}/usr/share/gconf/schemas"
+  gconf-merge-schema "${pkgdir}/usr/share/gconf/schemas/${pkgname}.schemas" --domain gnucash "${pkgdir}"/etc/gconf/schemas/*.schemas
+  rm -f "${pkgdir}"/etc/gconf/schemas/*.schemas
+}

Copied: gnucash/repos/staging-i686/gnucash.install (from rev 139531, gnucash/trunk/gnucash.install)
===================================================================
--- staging-i686/gnucash.install	                        (rev 0)
+++ staging-i686/gnucash.install	2011-10-03 11:01:00 UTC (rev 139532)
@@ -0,0 +1,34 @@
+pkgname=gnucash
+info_dir=usr/share/info
+info_files=(gnucash-design.info)
+
+post_install() {
+  usr/sbin/gconfpkg --install ${pkgname}
+  gtk-update-icon-cache -q -t -f usr/share/icons/hicolor
+  update-desktop-database -q
+  [ -x usr/bin/install-info ] || return 0
+  for f in ${info_files[@]}; do
+    usr/bin/install-info ${info_dir}/$f.gz ${info_dir}/dir 2> /dev/null
+  done
+}
+
+pre_upgrade() {
+  pre_remove $1
+}
+
+post_upgrade() {
+  post_install $1
+}
+
+pre_remove() {
+  usr/sbin/gconfpkg --uninstall ${pkgname}
+  [ -x usr/bin/install-info ] || return 0
+  for f in ${info_files[@]}; do
+    usr/bin/install-info --delete ${info_dir}/$f.gz ${info_dir}/dir 2> /dev/null
+  done
+}
+
+post_remove() {
+  update-desktop-database -q
+  gtk-update-icon-cache -q -t -f usr/share/icons/hicolor
+}

Copied: gnucash/repos/staging-x86_64/PKGBUILD (from rev 139531, gnucash/trunk/PKGBUILD)
===================================================================
--- staging-x86_64/PKGBUILD	                        (rev 0)
+++ staging-x86_64/PKGBUILD	2011-10-03 11:01:00 UTC (rev 139532)
@@ -0,0 +1,38 @@
+# $Id$
+# Maintainer: Aaron Griffin <aaron at archlinux.org>
+# Contributor: Mark Schneider <queueRAM at gmail.com>
+
+pkgname=gnucash
+pkgver=2.4.7
+pkgrel=2
+pkgdesc="A personal and small-business financial-accounting application"
+arch=('i686' 'x86_64')
+url="http://www.gnucash.org"
+license=("GPL")
+depends=('gtkhtml' 'slib' 'goffice' 'libgnomeui' 'hicolor-icon-theme' 
+         'libdbi-drivers' 'aqbanking' 'desktop-file-utils')
+makedepends=('intltool')
+optdepends=('evince: for print preview'
+            'perl-finance-quote: for stock information lookups'
+            'perl-date-manip: for stock information lookups')
+options=('!libtool' '!makeflags')
+install=gnucash.install
+source=(http://downloads.sourceforge.net/sourceforge/${pkgname}/${pkgname}-${pkgver}.tar.bz2)
+md5sums=('0f85c8bfd165b2605a7853f579808823')
+sha1sums=('e99dd56949de27c19d9c3413d30c87a0f74e8ff9')
+
+build() {
+  cd "${srcdir}/${pkgname}-${pkgver}"
+  ./configure --prefix=/usr --mandir=/usr/share/man \
+    --sysconfdir=/etc --libexecdir=/usr/lib --enable-ofx --enable-aqbanking
+  make
+}
+
+package() {
+  cd "${srcdir}/${pkgname}-${pkgver}"
+  make GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1 DESTDIR="${pkgdir}" install
+
+  install -dm755 "${pkgdir}/usr/share/gconf/schemas"
+  gconf-merge-schema "${pkgdir}/usr/share/gconf/schemas/${pkgname}.schemas" --domain gnucash "${pkgdir}"/etc/gconf/schemas/*.schemas
+  rm -f "${pkgdir}"/etc/gconf/schemas/*.schemas
+}

Copied: gnucash/repos/staging-x86_64/gnucash.install (from rev 139531, gnucash/trunk/gnucash.install)
===================================================================
--- staging-x86_64/gnucash.install	                        (rev 0)
+++ staging-x86_64/gnucash.install	2011-10-03 11:01:00 UTC (rev 139532)
@@ -0,0 +1,34 @@
+pkgname=gnucash
+info_dir=usr/share/info
+info_files=(gnucash-design.info)
+
+post_install() {
+  usr/sbin/gconfpkg --install ${pkgname}
+  gtk-update-icon-cache -q -t -f usr/share/icons/hicolor
+  update-desktop-database -q
+  [ -x usr/bin/install-info ] || return 0
+  for f in ${info_files[@]}; do
+    usr/bin/install-info ${info_dir}/$f.gz ${info_dir}/dir 2> /dev/null
+  done
+}
+
+pre_upgrade() {
+  pre_remove $1
+}
+
+post_upgrade() {
+  post_install $1
+}
+
+pre_remove() {
+  usr/sbin/gconfpkg --uninstall ${pkgname}
+  [ -x usr/bin/install-info ] || return 0
+  for f in ${info_files[@]}; do
+    usr/bin/install-info --delete ${info_dir}/$f.gz ${info_dir}/dir 2> /dev/null
+  done
+}
+
+post_remove() {
+  update-desktop-database -q
+  gtk-update-icon-cache -q -t -f usr/share/icons/hicolor
+}




More information about the arch-commits mailing list